
.namespace s08_HotSpot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
	if self.Name == "back_s08" then
		NavigationManager.SwitchTo(nil,"s07_SearchSite")	
	end


	if self.Name == "sorti_hotspot" then 
		SequencePlayer.Enabled = true
		SequencePlayer.PlaySequence("GP_807",nil,nil)
		end	
end
function GetSpecificCursor()

	if	self.Name == "back_s08" then
		return 11,"s07"		
	elseif self.Name == "sorti_hotspot" then 
		return 4
	else
		return CURSOR_AREA_HOTSPOT
	end
end
function OnDropObject()
	OPLog.Log("drop "..self.Name)
	if IsEqualVariables("CurrentObject","InventoryEchelles08") and self.Name == "sorti_hotspot" then
		
		sorti_hotspot.Enabled = false
		NavigationManager.SwitchTo(nil,"Map_parent")
		
	
		return true
		
	end
end